//------------------------------------------------------------------------------
// GENERIC EJ UI ELEMENTS
//------------------------------------------------------------------------------

// Small tweaks
i.fa, i.fas, i.fab, i.far {
    margin: auto 0.5em;
}

.body {
    margin-bottom: 5rem !important;
    @include breakpoint('md') {
        margin-bottom: 0 !important;
    }
}

//------------------------------------------------------------------------------
// Intro title
.title {
    @extend .h2, .center, .text-accent;
}

.intro-paragraph {
    @extend .center;
    h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 {
        @extend .title;
    }
    p {
        padding-left: size(1);
        padding-right: size(1);
    }
}

//------------------------------------------------------------------------------
// Tabs and categories
.tabs, .categories {
    @extend .row, .wrap;

    > * {
        border-bottom: 0.25rem solid transparent;
    }
    a {
        font-weight: bold;
        color: $color-navigation-header-text;
        white-space: nowrap;
    }
    [is-selected] {
        color: $color-highlight-dark;
        border-bottom-color: $color-highlight-dark;
    }
}

.tabs {
    @extend .uppercase;
    border-bottom: 1px solid $color-theme-report-gray;
    justify-content: flex-start;

    a {
        @extend .pad-y2;
        margin-right: 3.625rem;
    }
}

.categories {
    @include color(mix(color('brand-lighter'), color('white')), 'brand');
    @extend .bold;

    * {
        @extend .pad-1, .margin-x1;
        color: color('brand');
    }
    a:hover:not([is-selected]) {
        border-bottom-color: color('brand', $alpha: 0.5);
    }
}

//------------------------------------------------------------------------------
// Pop-up window
.popup {
    @extend .relative, .col;
    background-color: color('background');
    border: 1px solid color('accent');
    border-radius: 1rem;
    max-width: 30rem;
    overflow-y: auto;

    &__contents {
        @extend .pad-3, .center, .col;
        flex-grow: 1;
        height: 100%;
    }

    &__close {
        @extend .absolute, .pin-top, .pin-right, .margin-3;
        color: color('black');
    }
}

.overlay {
    @extend .fixed, .pin;
    background-color: rgba(0, 0, 0, 0.5);
    width: 100vw;
    height: 100vh;
    z-index: 500;

    > * {
        margin: 12.5vh auto;
        max-height: 75vh;
        min-height: 40vh;
        max-width: 80%;
    }
}

//------------------------------------------------------------------------------
// Toast element
/* The snackbar - position it at the bottom and in the middle of the screen */
#snackbar {
    visibility: hidden; /* Hidden by default. Visible on click */
    min-width: 250px; /* Set a default minimum width */
    margin-left: -125px; /* Divide value of min-width by 2 */
    background-color: #333; /* Black background color */
    color: #fff; /* White text color */
    text-align: center; /* Centered text */
    border-radius: 2px; /* Rounded borders */
    padding: 16px; /* Padding */
    position: fixed; /* Sit on top of the screen */
    z-index: 1; /* Add a z-index if needed */
    left: 50%; /* Center the snackbar */
    bottom: 30px; /* 30px from the bottom */
}


/* Animations to fade the snackbar in and out */
$toast-height: size(1.5);
$toast-opacity: 0.75;

@keyframes toast-show {
    from {
        top: 0;
        opacity: 0;
    }
    to {
        top: $toast-height;
        opacity: $toast-opacity;
    }
}

@keyframes toast-hide {
    from {
        top: $toast-height;
        opacity: $toast-opacity;
    }
    to {
        top: 0;
        opacity: 0;
    }
}

.toast {
    @include utilities('color-brand-lighter pad-3 shadow-2 semi-bold');
    align-items: center;
    animation: toast-show 0.25s 0.25s backwards, toast-hide 0.5s 4s forwards;
    border-radius: size(0.5);
    display: flex;
    filter: brightness(90%);
    justify-content: center;
    left: 0;
    max-width: 25rem;
    margin: auto;
    opacity: $toast-opacity;
    position: fixed;
    right: 0;
    top: $toast-height;
    width: 90%;
    z-index: 1001;
    margin-left: 45%;

    &__icon {
        @extend .pad-2;
        @include color('white' 'brand');
        border: 6px solid;
        border-radius: 50rem;
        box-sizing: content-box;
        line-height: 2rem;
        font-size: 2rem;
        height: 2rem;
        width: 2rem;
    }
    &__content {
        > * {
            margin: 0 !important;
        }
        h1 {
            @include utilities('text-4 uppercase bold text-brand');
        }
    }
}
@media only screen and (max-width: 600px) {
    .toast {
        margin-left: auto;
    }
}

//------------------------------------------------------------------------------
// Description list (for profile and others)
.description {
    dt {
        @extend .bold, .text-6, .text-brand, .lowercase, .margin-0;
    }
    dd {
        margin: 0 0 2rem 0;
    }
}

.stat-slab {
    @extend .row, .wrap, .items-center;

    dl {
        @extend .pad-0;
        margin: 0 0 size(1) 0;

        dt {
            @extend .bold, .text-brand, .lowercase, .margin-0, .inline, .inline-block;
            width: size(3.5);
        }

        dd {
            @extend .bold, .inline-block;
            font-size: 2rem;
            line-height: size(1);
            margin: 0 0 2rem 0;
            position: relative;
            top: size(1.5);
            right: size(3);
            width: 0;
        }
    }
}

.square {
    border-radius: 5px;
    margin-top: 25px;
}

//------------------------------------------------------------------------------
// Tooltip component
.tooltip {
    @extend .absolute;
    display: contents;
    font-size: 0.875rem;
    text-align: center;
    z-index: 100;
    transition: .3s;

    &__content {
        @extend .pad-2, .absolute, .bold;
        display: inline-block;
        visibility: hidden;
        opacity: 0;
        transition: opacity .3s ease-in-out, visibility .1s;
        max-width: 50%;
        background-color: $color-theme-accent-light;
        color: $color-black-alternative;

        text-transform: none;
        font-family: "Raleway", sans-serif;
        letter-spacing: 0;
        text-align: left;
        font-size: .625rem
    }

    &__icon {
        color: $color-navigation-header-text;
        margin-left: .5rem !important;
    }

    &:hover .tooltip__content {
        visibility: visible;
        opacity: 1;
    }
}

.terms {
    &__content {
        height: 20rem;
        overflow: scroll;
        font-size: .9rem;
        border-color: $color-low-pure;
        border-radius: 8px;
    }
    &__checkbox {
        text-align: center;
        font-size: .8rem;
    }
    label {
        text-transform: unset;
    }
}
